LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | List of all members
MarkableInputStream Service Referencepublished

allows to set marks in an inputstream and to later jump back to these marks. More...

`import"MarkableInputStream.idl";`

Inheritance diagram for MarkableInputStream:

## Exported Interfaces
interface | com::sun::star::io::XInputStream
| allows to access the data of this stream More...
interface | com::sun::star::io::XMarkableStream
| allows to create marks at the current position and to set the current position. More...
interface | com::sun::star::io::XActiveDataSink
| allows to access to the underlying source of this stream. More...
interface | com::sun::star::io::XConnectable
| allows to navigate via a chain of streams More...

## Additional Inherited Members
Public Member Functions inherited from XInputStream
long | readBytes ([out] sequence< byte > aData, [in] long nBytesToRead) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| reads the specified number of bytes in the given sequence. More...
long | readSomeBytes ([out] sequence< byte > aData, [in] long nMaxBytesToRead) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException )
| reads the available number of bytes, at maximum nMaxBytesToRead. More...
void | skipBytes ([in] long nBytesToSkip) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException )
| skips the next nBytesToSkip bytes (must be positive). More...
long | available () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::IOException )
| states how many bytes can be read or skipped without blocking. More...
void | closeInput () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::IOException)
| closes the stream. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XMarkableStream
long | createMark () raises ( com::sun::star::io::IOException )
| creates a mark of the current position and returns an identifier to it. More...
void | deleteMark ([in] long Mark) raises ( com::sun::star::io::IOException, com::sun::star::lang::IllegalArgumentException )
| deletes the mark that you previously created with XMarkableStream::createMark(). More...
void | jumpToMark ([in] long nMark) raises ( com::sun::star::io::IOException, com::sun::star::lang::IllegalArgumentException )
| jumps to a previously created mark. More...
void | jumpToFurthest () raises ( com::sun::star::io::IOException )
| jumps to the furthest position of the stream. More...
long | offsetToMark ([in] long nMark) raises ( com::sun::star::io::IOException, com::sun::star::lang::IllegalArgumentException )
Public Member Functions inherited from XActiveDataSink
void | setInputStream ([in] com::sun::star::io::XInputStream aStream)
| plugs the input stream. More...
com::sun::star::io::XInputStream | getInputStream ()
Public Member Functions inherited from XConnectable
void | setPredecessor ([in] com::sun::star::io::XConnectable aPredecessor)
| sets the source of the data flow for this object. More...
com::sun::star::io::XConnectable | getPredecessor ()
void | setSuccessor ([in] com::sun::star::io::XConnectable aSuccessor)
| sets the sink of the data flow for this object. More...
com::sun::star::io::XConnectable | getSuccessor ()

## Detailed Description

allows to set marks in an inputstream and to later jump back to these marks.

The implementation reads the original data from the input stream, that has been set previously at the XActiveDataSink interface. In general the implementation must buffer the data.

## Exported Interfaces

## ◆ com::sun::star::io::XActiveDataSink

interface com::sun::star::io::XActiveDataSink

allows to access to the underlying source of this stream.

## ◆ com::sun::star::io::XConnectable

interface com::sun::star::io::XConnectable

allows to navigate via a chain of streams

## ◆ com::sun::star::io::XInputStream

interface com::sun::star::io::XInputStream

allows to access the data of this stream

## ◆ com::sun::star::io::XMarkableStream

interface com::sun::star::io::XMarkableStream

allows to create marks at the current position and to set the current position.

The documentation for this service was generated from the following file:

- com/sun/star/io/MarkableInputStream.idl